LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-06-2016, 11:19 AM   #1
n4rf
Member
 
Registered: Nov 2013
Location: Córdoba, Argentina
Distribution: Slackware64 14.2
Posts: 36

Rep: Reputation: Disabled
Question libpng-1.6 and libpng-1.2 + python problems


Hi, im currently working on a project wich involves some imaging processing involving opencv.

The main issue, is that I need to output the result as a PNG file.

Im currently on Slackware64 14.2 (multilib) + python2.7 ..

Everytime I run my code this warning shows up:

"libpng warning: Application built with libpng-1.2.56 but running with 1.6.23"

Thus no PNG file is created...

Of course, if I change to JPG.. It works.. but that file is pretty much useless to me.

I've manually downloaded + compiled + installed libpng12 .. but still havent been able to make it work.

Suggestions are welcome.

PS: I havent been able to use Kingsoft WPS Office either. Ive created symbolic links. but still... PNG12 error

Last edited by n4rf; 08-06-2016 at 11:21 AM.
 
Old 08-06-2016, 11:28 AM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware, RPi OS, Mint & Android
Posts: 13,150

Rep: Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771Reputation: 1771
Have you got libpng-1.2.56 & do the symlinks libpng.so, & libpng.so.1 point to it? Where is libpng-1.6x? Do you need it?
Can you isolate what exactly is bellyaching about libpng versions?
 
Old 08-06-2016, 12:04 PM   #3
n4rf
Member
 
Registered: Nov 2013
Location: Córdoba, Argentina
Distribution: Slackware64 14.2
Posts: 36

Original Poster
Rep: Reputation: Disabled
Ive uninstalled libpng1.6.x...

If I run:

[n4rf@ASUS ~]$ libpng-config --version
1.2.56

I guess, I have to uninstall, and recompile, reinstall opencv.. will give it a shot...
 
Old 08-06-2016, 12:54 PM   #4
n4rf
Member
 
Registered: Nov 2013
Location: Córdoba, Argentina
Distribution: Slackware64 14.2
Posts: 36

Original Poster
Rep: Reputation: Disabled
Ok, I will tag this as solved.

Uninstalled libpng1.6.x... uninstalled opencv... (previously installed libpng1.2.56).. Recompiled, reinstalled OpenCV..

PNG file created successfully


Ty business_kid
 
  


Reply

Tags
libpng, python, slackware


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] libpng error: Incompatible libpng version in application and library Stragonian Slackware 10 11-18-2011 11:06 AM
[SOLVED] Build problem hard to solve : zeroradiant and libpng 1.4 (libpng compatibility pb) naaman Linux - Software 1 01-01-2011 04:03 AM
error while loading shared libraries: libpng.so.2: [I reinstalled libPNG!] Shioni Linux - Software 1 09-09-2006 07:21 PM
libpng and libpng-devel missing in mplayer configure mmarkvillanueva Linux - Software 2 11-29-2005 10:40 PM
MPlayer install problems with libpng & libpng-devel Trey2501 Linux - Newbie 18 03-05-2004 11:24 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:10 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration